#include "B4RDefines.h"
namespace B4R {
	void B4RBigNumbers_I2C::Initialize(B4RLiquidCrystal_I2C* lcd) {
			bn = new (be) BigNumbers(lcd->lcd);
			bn->begin();
	}

	void B4RBigNumbers_I2C::ClearLargeNumber(Byte col, Byte row) {
			bn->clearLargeNumber(col, row);
	};
  
	void B4RBigNumbers_I2C::DisplayLargeNumber(Byte n, Byte col, Byte row) {
			bn->displayLargeNumber(n, col, row);
	};

	void B4RBigNumbers_I2C::DisplayLargeInt(Int n, Byte col, Byte row, Byte digits, bool leading) {
			bn->displayLargeInt(n, col, row, digits, leading);
	};

}